Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2483 - ISC's DHCP provides a client, so why use dhcpcd ?
Summary: ISC's DHCP provides a client, so why use dhcpcd ?
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcp
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-02 19:05 UTC by George Karabin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-01 19:31:16 UTC


Attachments (Terms of Use)

Description George Karabin 1999-05-02 19:05:27 UTC
This is less of a bug request and more of a feature request.

For the reasons specified in
http://people.qualcomm.com/karn/rr/dhclient.html, it would
be nice if the dhcp package that ships with RedHat would
provide support for the "dhclient" portion of dhcp.

Comment 1 David Lawrence 1999-05-02 19:31:59 UTC
This has been assigned to a developer for further review.

Comment 2 George Karabin 1999-05-10 17:19:59 UTC
(From my work account)

I compiled and installed the current 2.x version of ISC's dhcp.
dhclient seems to work pretty well - it's definitely taking care of
the authentication that I have to do with my ISP whenver the
DHCP-allocated IP address changes. Additionally, I'm able to use the
"/etc/dhclient-script" file to update my IP address with "dyndns.org",
which gives me an unchanging hostname on the internet.

After looking at the man page for pump, I didn't see any hooks for
site-specific actions whenever the DHCP-allocated IP address changes.
Pump works fine when it comes to getting a DHCP address - I have no
complaints about it's stability. It's the lack of hooks for running
scripts when the IP address changes that is the problem.

I hope this helps explain the motivation of my first post. (I left a
lot of dots to fill in...)

Comment 3 Erik Troan 1999-06-01 19:31:59 UTC
We've been pretty unimpressed with the ISC client;the Linux dhcpcd
client seems better maintained and better integrated with Red Hat.
We're evaluating whether or not we should continue to use pump in
the future.

------- Additional Comments From   06/04/99 01:55 -------
I've got very limited experience with ISC's dhcp, so I can understand
that there may be problems with it in other environments. The only
feature that I think it has,that pump needs, is the ability for the
client to run on a script whenever the IP address changes. If that
works, just about any stable client would suit me and other customers
who get their internet IP from a DHCP server.

Thanks for the feedback...


Note You need to log in before you can comment on or make changes to this bug.